<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 *
 * @package    PTA
 * @subpackage Volume History
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 phpTSMadmin Development Team
 * @license    http://phptsmadmin.sf.net/license.html
 */
class Model_VOLHISTORY extends ORM_TSM {
	protected $_table_name = 'VOLHISTORY';
	protected $_primary_key = 'VOLUME_NAME';
	protected $_sorting = array(
		'DATE_TIME'=>'ASC',
	);

	protected $_has_one = array(
		'LIBVOLUME'=>array('foreign_key'=>'VOLUME_NAME','far_key'=>'VOLUME_NAME'),
		'VOLUME'=>array('foreign_key'=>'VOLUME_NAME','far_key'=>'VOLUME_NAME'),
	);

	protected $_display_filters = array(
		'DATE_TIME'=>array(
			array('ORM_TSM::date',array(':value','d-M-Y')),
		),
	);

	public function lastuse() {
		// We'll find the last record
		foreach ($this->order_by('DATE_TIME DESC')->find_all() as $r)
			return $r;
	}

	public function backupid() {
		return sprintf('%s.%s.%s',$this->BACKUP_SERIES,$this->BACKUP_OPERATION,$this->VOLUME_SEQ);
	}
}
?>
